@ECHO OFF
REM
REM ErrText
REM Returns the error code and
REM displays the error text
REM

IF ERRORLEVEL 8 GOTO F8
IF ERRORLEVEL 7 GOTO F7
IF ERRORLEVEL 6 GOTO F6
IF ERRORLEVEL 5 GOTO F5
IF ERRORLEVEL 4 GOTO F4
IF ERRORLEVEL 3 GOTO F3
IF ERRORLEVEL 2 GOTO F2
IF ERRORLEVEL 1 GOTO F1

:No_error
  ECHO.
  ECHO Everything Ok., archiving complete
  GOTO End

:F8
  ECHO.
  ECHO Insufficient main memory available
  ECHO Archiving halted
  ECHO.
  GOTO End

:F7
  ECHO.
  ECHO False parameter in the command line
  ECHO Archiving halted
  GOTO End

:F6
  ECHO.
  ECHO Archive or file cannot be opened
  ECHO Archiving halted
  GOTO End

:F5
  ECHO.
  ECHO Diskette or hard drive is full
  ECHO Archiving halted
  GOTO End

:F4
  ECHO.
  ECHO ARJ backup system damaged
  ECHO Archiving halted
  GOTO End

:F3
  ECHO.
  ECHO CRC file data incorrect
  ECHO Archiving halted
  GOTO End

:F2
  ECHO.
  ECHO Fatal error on diskette or hard drive
  ECHO Archiving halted
  GOTO End

:F1
  ECHO.
  ECHO Error during processing of archive
  ECHO Archiving halted

:End
  ECHO.
